Package Details: youtube-dl-qt-git 81.g105b17e-1

Git Clone URL: https://aur.archlinux.org/youtube-dl-qt-git.git (read-only)
Package Base: youtube-dl-qt-git
Description: Qt frontend for youtube-dl
Upstream URL: https://github.com/rrooij/youtube-dl-qt
Keywords: download video youtube-dl
Licenses: GPLv3
Provides: youtube-dl-qt
Submitter: rderooij
Maintainer: rderooij
Last Packager: rderooij
Votes: 6
Popularity: 0.180593
First Submitted: 2016-02-21 22:12
Last Updated: 2016-02-23 19:44

Latest Comments

willemw commented on 2016-06-16 07:21

@rderooij: namcap is complaining about gtk-update-icon-cache or xdg-icon-resource missing in the youtube-dl-qt-git.install file (needs to added to this package first).

rderooij commented on 2016-02-23 19:48

@sekret, thanks for notifying me on those errors.

I fixed the second, fourth and fifth.

About the first one: I don't see any package explicitly calling gtk-update-icon-cache or xdg-icon-resource. As the application is Qt based and not a GTK application, xdg-icon-resource seems a better option. However, I don't see any other Qt application explicitly calling xdg-icon-resource. They depend on xdg-utils though, so I wonder how they did this.

The third one: this seems to be a bug in the latest pacman. See: https://bugs.archlinux.org/task/47982

sekret commented on 2016-02-23 08:15

Here's what namcap shows for your package:

youtube-dl-qt-git E: Files in /usr/share/icons/hicolor but no call to gtk-update-icon-cache or xdg-icon-resource to update the icon cache
youtube-dl-qt-git E: GPLv3 is not a common license (it's not in /usr/share/licenses/common/)
youtube-dl-qt-git W: File (.BUILDINFO) exists in a non-standard directory.
youtube-dl-qt-git E: Dependency hicolor-icon-theme detected and not included (needed for hicolor theme hierarchy)
youtube-dl-qt-git W: Dependency included and not needed ('youtube-dl')

The last warning is a false positive, can be ignored, but the others should be fixed.